# Inspecting Inference Outputs

The `inspect data` subtool can display information about the
`RunResults` object generated by `Comparator.run()`, which represents inference outputs.

For example, first we'll generate some inference outputs using ONNX-Runtime:

```bash
polygraphy run identity.onnx --onnxrt --save-outputs outputs.json
```

Next, we can inspect them:

```bash
polygraphy inspect data outputs.json --show-values
```

This will display something like:

```
[I] ==== Run Results (1 runners) ====

    ---- onnxrt-runner-N0-05/24/21-12:44:30 (1 iterations) ----

    y [dtype=float32, shape=(1, 1, 2, 2)] | Stats
        mean=0.35995, std-dev=0.25784, var=0.066482, median=0.35968, min=0.00011437 at (0, 0, 1, 0), max=0.72032 at (0, 0, 0, 1)
        [[[[4.17021990e-01 7.20324516e-01]
           [1.14374816e-04 3.02332580e-01]]]]
```
